title = "Welcome Back"
url = "/users/welcome/:slug"
layout = "static-page"
is_hidden = 0

[pageContentView]

[UserWelcomeHelper]

[AnagraficaView]

[cookieNotice]
loadCss = 1

==

<!-- POPUP COOKIE -->
{% component 'cookieNotice' %}
<div class="al-tuo-servizio">
    <div class="container">
		<h2 style="text-align:center;width:100%;margin-top: 50px;font-size:24px">{{ pageContent.title }}</h2>
		<div class="welcome-back">{{ pageContent.content|raw }}</div>
    	<div id="welcome-data-container">
			{#<div class="row accesso">
				<div class="col-sm-6 offset-sm-3">
				  
				    <p style="text-align:center;"><b>{{'Conferma il tuo indirizzo email e imposta una nuova password'|_}}</b></p>
				</div>
			</div>#}
		    <div id="login-box" class="row" >
				<form class="col-sm-6 offset-sm-3 form-welc" href="#" id="confirm-email">
					<div class="benvenutologin">
						<p class="form-row form-row-first wlc-inp-center disp-grid">
							<label for="username">{{'Indirizzo email'|_}}</label>
							<input type="text" class="input-text" name="username" id="username" autocomplete="username" placeholder="{{'Indirizzo email'|_}}*">
						</p>
						&nbsp;
						<p class="form-row form-row-first wlc-inp-center disp-grid">
							<label for="password">{{'Nuova Password'|_}}</label>
							<input type="password" class="input-text" name="password" id="password" autocomplete="password" placeholder="{{'Nuova Password'|_}}*">
						</p>
						&nbsp;
						<p class="form-row form-row-first wlc-inp-center disp-grid">
							<label for="password_confirmation">{{'Ripeti password'|_}}</label>
							<input type="password" class="input-text" name="password_confirmation" id="password_confirmation" autocomplete="password" placeholder="{{'Ripeti Password'|_}}*">
						</p>
						&nbsp;
						<div class="form-row form-row-first wlc-inp-center">
							<a class="ps-btn benvenuto hgt-mgbt wdt-250 txt-center" href="javascript:confirmEmail();">{{'Conferna'|_}}</a>
						</div>
					</div>
				</form>	
			</div>
		</div>
	</div>
	
	
	
	
	{#
	<div class="container">
		<h2 style="text-align:center;width:100%;margin-top: 50px;font-size:24px">{{ pageContent.title }}</h2>
		<div class="welcome-back">{{ pageContent.content|raw }}</div>
    </div>
	<div class="row accesso">
		<div class="col-sm-6 offset-sm-3">
		    
		    <p style="text-align:center;"><b>{{'Conferma il tuo indirizzo email'|_}}</b> </p>
		</div>
	</div>
    <div id="login-box" class="row" >
		<form class="col-md-12" href="#" id="confirm-email">
				<div>
					<input type="text" class="input-text" name="username" id="username" autocomplete="username" placeholder="{{'Nome utente o indirizzo email'|_}}*">
					&nbsp;
					<a class="ps-btn benvenuto hgt-mgbt" href="javascript:confirmEmail();">{{'Conferna'|_}}</a>
				</div>
				
		</form>
	</div>
	<div id="panel-password" style=" marting-top: 10px;">
	    <div id="login-box" class="row">
			<form class="col-md-12" href="#" id="confirm-password">
					<div>
						<input type="password" class="input-text" name="password" id="password" autocomplete="password" placeholder="{{'Password'|_}}*">
						&nbsp;
						<a class="ps-btn benvenuto hgt-mgbt" href="javascript:changePassword();">{{'Cambia'|_}}</a>
					</div>
			</form>
		</div>
	</div>
	#}
	
	
	
	
	
    
</div>
<br>
<div class="container">
    <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 ">
            <hr style="border-top: 2px solid #cbcbcb!important;margin-bottom:50px">
        </div>
    </div>
</div>

<script type="text/javascript">

	function confirmEmail(){
		const logData = {
	        'email': document.getElementById("username").value,
			'password': document.getElementById("password").value,
			'password-confirmation': document.getElementById("password_confirmation").value
	    };
		$.request('onChangePassword', {
			data: logData,
			//update: {'welcome-user-data': '#welcome-data-container'},
			loading: $.oc.stripeLoadIndicator,
		  	// le righe che seguono servono per abilitare il flashmessage utile per debug
		  	flash: 1,
		    handleFlashMessage: function(message, type) {
		        $.oc.flashMsg({ text: message, class: type })
		    },
		    success: function(response) {
		    	
		    	if ( response.status )
		    	{
					$.oc.flashMsg({ text: response.message, class: 'success' });
					tRedirect = "location.href = '/';";
					console.log(tRedirect);
					setTimeout(tRedirect, 2000);
		    	}
		    	else
		    	{
		    		$.oc.flashMsg({ text: response.message, class: 'error' });
		    	}
		    }
		});
	}
	
	/*function confirmEmail(){
		const logData = {
	        'email': document.getElementById("username").value,
	    };
		$.request('onCheckEmail', {
			data: logData,
			//update: {'checkout-login': '#checkout-login', 'checkout-form': '#checkout-form'},
			loading: $.oc.stripeLoadIndicator,
		  	// le righe che seguono servono per abilitare il flashmessage utile per debug
		  	flash: 1,
		    handleFlashMessage: function(message, type) {
		        $.oc.flashMsg({ text: message, class: type })
		    },
		    complete: function(data) {
		    	if ( data.status )
		    	{
		    		$('#panel-password').show();
		    	}
		    }
		});
	}
	function changePassword(){
		const logData = {
			'email': document.getElementById("username").value,
			'password': document.getElementById("password").value,
			'password-confirmation': document.getElementById("password_confirmation").value
	    };
		$.request('onChangePassword', {
			data: logData,
			//update: {'checkout-login': '#checkout-login', 'checkout-form': '#checkout-form'},
			loading: $.oc.stripeLoadIndicator,
		  	// le righe che seguono servono per abilitare il flashmessage utile per debug
		  	flash: 1,
		    handleFlashMessage: function(message, type) {
		        $.oc.flashMsg({ text: message, class: type })
		    },
		    complete: function(data) {
		    	if ( data.status )
		    	{
		    		
		    	}
		    }
		});
	}*/
	
</script>